CREATE    procedure [C6MartPeriodico].[PL_D_S180ProdottiComplessitaAlta_mini] --'W','BRGDNT48P60D612V'
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	SET NOCOUNT ON;
	declare @TotalePatrimonio decimal(12,2)
	SELECT @TotalePatrimonio = ctv
	FROM
		C6Mart.vPatrimonioBFAggregato
	WHERE
		RETE = @Rete AND COD_FISCALE = @CodiceFiscale
 SELECT
    1 as Ordine,
    codicecontratto as CodiceContratto,
    nomeprodotto as NomeProdotto,
    controvalore as Controvalore,
	compl_base as Complessita,
    ((controvalore * 100) / @TotalePatrimonio) as Peso,
    @TotalePatrimonio as TotalePatrimonio,
    SUM(controvalore) OVER () as SommaControvalore,
    SUM((controvalore * 100) / @TotalePatrimonio) OVER () as SommaPesi
	into #temp
FROM
    [C6MartPeriodico].[TB_S180ProdottiComplessitaAlta]
WHERE
    rete = @Rete
    AND cod_fiscale LIKE 
        CASE WHEN @CodiceFiscale LIKE '%FF@%' THEN '%%'
        ELSE @CodiceFiscale
        END
    AND codman = 
        CASE WHEN @CodiceFiscale LIKE '%FF@%' THEN SUBSTRING(@CodiceFiscale, 4, LEN(@CodiceFiscale) - 3)
        ELSE ''
        END
    AND Compl_Base > 3
	union all
	SELECT
    2 as Ordine,
    codicecontratto as CodiceContratto,
    nomeprodotto as NomeProdotto,
    controvalore as Controvalore,
	compl_base as Complessita,
    ((controvalore * 100) / @TotalePatrimonio) as Peso,
    @TotalePatrimonio as TotalePatrimonio,
    SUM(controvalore) OVER () as SommaControvalore,
    SUM((controvalore * 100) / @TotalePatrimonio) OVER () as SommaPesi
FROM
    [C6MartPeriodico].[TB_S180ProdottiComplessitaAlta]
WHERE
    rete = @Rete
    AND cod_fiscale LIKE 
        CASE WHEN @CodiceFiscale LIKE '%FF@%' THEN '%%'
        ELSE @CodiceFiscale
        END
    AND codman = 
        CASE WHEN @CodiceFiscale LIKE '%FF@%' THEN SUBSTRING(@CodiceFiscale, 4, LEN(@CodiceFiscale) - 3)
        ELSE ''
        END
    AND Compl_Base > 2
	union all
	SELECT
    3 as Ordine,
    codicecontratto as CodiceContratto,
    nomeprodotto as NomeProdotto,
    controvalore as Controvalore,
	compl_base as Complessita,
    ((controvalore * 100) / @TotalePatrimonio) as Peso,
    @TotalePatrimonio as TotalePatrimonio,
    SUM(controvalore) OVER () as SommaControvalore,
    SUM((controvalore * 100) / @TotalePatrimonio) OVER () as SommaPesi
FROM
    [C6MartPeriodico].[TB_S180ProdottiComplessitaAlta]
WHERE
    rete = @Rete
    AND cod_fiscale LIKE 
        CASE WHEN @CodiceFiscale LIKE '%FF@%' THEN '%%'
        ELSE @CodiceFiscale
        END
    AND codman = 
        CASE WHEN @CodiceFiscale LIKE '%FF@%' THEN SUBSTRING(@CodiceFiscale, 4, LEN(@CodiceFiscale) - 3)
        ELSE ''
        END
    AND Compl_Base > 1
delete from #temp where ordine=1 and SommaPesi<20
delete from #temp where ordine=2 and SommaPesi<30
delete from #temp where ordine=3 and SommaPesi<50
select case when exists (select 1 from #temp) then 1 else 0 end
END